stages:
  - pipeline
  - docker-build
pipeline_job:
  stage: pipeline
  tags:
    - omar
  variables:
    DATE: "$CI_COMMIT_TIMESTAMP"
    COMMITSHA: "$CI_COMMIT_SHORT_SHA"
    VERSION: "$DATE-$COMMITSHA"
  script:
    - mvn versions:set -DnewVersion=$VERSION
    - mvn clean package
  artifacts:
    paths:
      - target/*.jar
    expire_in: 18 week
    name: CI/CD Practice

docker-build_job :
  stage: docker-build
  tags: 
    - omar

  script:
    - now="$(date +'%y%m%d')"
    - git_hash="$(git rev-parse HEAD)"
    - git_hash_sub=${git_hash:0:8}
    - version="$now-$git_hash_sub"
    - docker build -t omaralnajjar/openjdk:$version .
    - echo $version
    - docker push omaralnajjar/openjdk:$version

  dependencies: 
    - pipeline_job

    
    